#	OpenShot Video Editor is a program that creates, modifies, and edits video files.
#   Copyright (C) 2009  Jonathan Thomas
#
#	This file is part of OpenShot Video Editor (http://launchpad.net/openshot/).
#
#	OpenShot Video Editor is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	OpenShot Video Editor is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with OpenShot Video Editor.  If not, see <http://www.gnu.org/licenses/>.


# import modules for gtk and custom modules
import windows.MainGTK as MainGTK
import classes.project as project
import gtk

# init threads - this helps support the 
# multi-threaded architecture of mlt
gtk.gdk.threads_init()
gtk.gdk.threads_enter()

# Create a default project object
current_project = project.project()

# Create form object & refresh the data
form1 = MainGTK.frmMain(project=current_project)
form1.refresh()

# Main loop
gtk.main()